Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.classloader
Class ResourceStoreClassLoader

    java.lang.Object
      java.lang.ClassLoader
          com.opensymphony.xwork2.util.classloader.ResourceStoreClassLoader

    public final class ResourceStoreClassLoader

extends ClassLoader

class taken from Apache JCI

Constructor Summary
`ResourceStoreClassLoader(ClassLoader pParent, ResourceStore[] pStores)`

Method Summary
`protected void` | `definePackage(String className)` Define the package information associated with a class.
`protected Class` | `findClass(String name)`
`protected Class` | `loadClass(String name, boolean resolve)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceStoreClassLoader

    public ResourceStoreClassLoader(ClassLoader pParent,
                                    ResourceStore[] pStores)

Method Detail

### loadClass

    protected Class loadClass(String name,
                              boolean resolve)
                       throws ClassNotFoundException

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

### findClass

    protected Class findClass(String name)
                       throws ClassNotFoundException

  Overrides:
    `findClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

### definePackage

    protected void definePackage(String className)

  Define the package information associated with a class.

  Parameters:
    `className` - the class name of for which the package information is to be determined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.